> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Refund Requests

> Use this endpoint to list refund requests with filters and pagination.
Returns empty array [] if no requests match the criteria.



## OpenAPI

````yaml /en/openapi/v3-current/indirect-pix.yaml get /v1/dict/refund-requests
openapi: 3.0.3
info:
  title: Plugin BR Pix Indirect - Complete API
  description: |
    Complete API for Brazilian Pix instant payment system including
    Pix key dictionary operations, QR code generation/decoding, transactions and
    transaction limits.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/refund-requests:
    get:
      tags:
        - MED API
      summary: List Refund Requests
      description: |-
        Use this endpoint to list refund requests with filters and pagination.
        Returns empty array [] if no requests match the criteria.
      parameters:
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Page'
        - $ref: '#/components/parameters/SortOrder'
        - name: transaction_id
          in: query
          description: Filter by original Pix transaction ID (32 characters).
          required: false
          example: E123456789BR1234567890123456789
          schema:
            type: string
        - name: status
          in: query
          description: Filter by refund status.
          required: false
          example: OPEN
          schema:
            type: string
            enum:
              - OPEN
              - CLOSED
              - CANCELLED
        - name: requesting_participant
          in: query
          description: Filter by requesting participant ISPB (8 digits).
          required: false
          example: '30306294'
          schema:
            type: string
        - name: contested_participant
          in: query
          description: Filter by contested participant ISPB (8 digits).
          required: false
          example: '12345678'
          schema:
            type: string
        - name: infraction_id
          in: query
          description: Filter by related infraction report ID (UUID).
          required: false
          example: 019c96a0-0c98-799e-9135-4613ca469ad8
          schema:
            type: string
        - name: analysis_result
          in: query
          description: Filter by refund analysis result.
          required: false
          example: TOTALLY_ACCEPTED
          schema:
            type: string
            enum:
              - TOTALLY_ACCEPTED
              - PARTIALLY_ACCEPTED
              - REJECTED
        - name: refund_transaction_id
          in: query
          description: Filter by refund transaction ID (32 characters).
          required: false
          example: D123456789BR1234567890123456789
          schema:
            type: string
        - $ref: '#/components/parameters/ModifiedAfter'
        - $ref: '#/components/parameters/ModifiedBefore'
      responses:
        '200':
          description: List of refund requests retrieved successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RefundRequestsListOutput'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0009:
                  $ref: '#/components/examples/ErrorPIX0009'
                ErrorPIX0010:
                  $ref: '#/components/examples/ErrorPIX0010'
                ErrorPIX0011:
                  $ref: '#/components/examples/ErrorPIX0011'
                ErrorPIX0220:
                  $ref: '#/components/examples/ErrorPIX0220'
                ErrorPIX0245:
                  $ref: '#/components/examples/ErrorPIX0245'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    Limit:
      name: limit
      in: query
      description: Maximum number of items per page.
      required: false
      example: 10
      schema:
        type: integer
        minimum: 1
        maximum: 100
        default: 10
    Page:
      name: page
      in: query
      description: Page number for pagination.
      required: false
      example: 1
      schema:
        type: integer
        minimum: 1
        default: 1
    SortOrder:
      name: sort_order
      in: query
      description: 'Sort direction: asc or desc.'
      required: false
      example: asc
      schema:
        type: string
        enum:
          - asc
          - desc
        default: asc
    ModifiedAfter:
      name: modified_after
      in: query
      description: >-
        Filter by records modified after this timestamp (RFC3339 format:
        2024-01-15T10:30:00Z).
      required: false
      schema:
        type: string
    ModifiedBefore:
      name: modified_before
      in: query
      description: >-
        Filter by records modified before this timestamp (RFC3339 format:
        2024-01-15T10:30:00Z).
      required: false
      schema:
        type: string
  schemas:
    RefundRequestsListOutput:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/RefundRequestObject'
        page:
          type: integer
          example: 1
        limit:
          type: integer
          example: 10
    ErrorFormat:
      type: object
      description: The response message error.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: A unique, stable identifier for the error.
        title:
          type: string
          description: A brief summary of the issue.
        message:
          type: string
          description: Detailed guidance for resolving the error.
    RefundRequestObject:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier.
          example: 019c96a0-0c6b-7166-8510-b262039b4838
        transactionId:
          type: string
          description: Original transaction ID.
          example: E12345678202411241430ABCDEFGHIJK
        amount:
          type: string
          description: Refund amount.
          example: '150.00'
        status:
          type: string
          description: Current status.
          enum:
            - OPEN
            - CLOSED
            - CANCELLED
          example: OPEN
        analysisResult:
          type: string
          description: Analysis result.
          example: TOTALLY_ACCEPTED
        createdAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          example: '2024-01-15T10:30:00Z'
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0009:
      summary: Missing Query Params in Request
      value:
        code: PIX-0009
        title: Missing Query Params in Request
        message: >-
          Your request is missing one or more required query params. Please
          refer to the documentation to ensure all necessary query params are
          included in your request.
    ErrorPIX0010:
      summary: Invalid Query Param in Request
      value:
        code: PIX-0010
        title: Invalid Query Param in Request
        message: >-
          One or more query params are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each query param.
    ErrorPIX0011:
      summary: Invalid Timestamp Format
      value:
        code: PIX-0011
        title: Invalid Timestamp Format
        message: >-
          The timestamp format is invalid. Please refer to the documentation to
          verify the expected format.
    ErrorPIX0220:
      summary: Invalid Date Range Order
      value:
        code: PIX-0220
        title: Invalid Date Range Order
        message: The modified_before timestamp must be after modified_after timestamp.
    ErrorPIX0245:
      summary: Date Range Exceeds 90 Days
      value:
        code: PIX-0245
        title: Date Range Exceeds 90 Days
        message: >-
          The date range between modifiedAfter and modifiedBefore cannot exceed
          90 days.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````